SurvivalProbability Struct Reference

Survival-Probability-curve traits. More...

`#include <ql/termstructures/credit/probabilitytraits.hpp>`

## Public Types

typedef BootstrapHelper< DefaultProbabilityTermStructure > | helper

## Static Public Member Functions

static Date | initialDate (const DefaultProbabilityTermStructure *c)
static Real | initialValue (const DefaultProbabilityTermStructure *)
template<class C >
static Real | guess (Size i, const C *c, bool validData, Size)
template<class C >
static Real | minValueAfter (Size i, const C *c, bool validData, Size)
template<class C >
static Real | maxValueAfter (Size i, const C *c, bool validData, Size)
static void | updateGuess (std::vector< Real > &data, Probability p, Size i)
static Size | maxIterations ()

## Detailed Description

Survival-Probability-curve traits.